// ============================================================================================//
.text-header-panel {
    width: 85%;
    height: 30px;
    color: #333330;
    font-family: Prompt;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 30px;
    text-align: left;
  }
  
  a.btn-link {
    width: 15%;
    color: #006e95;
    font-family: Prompt;
    font-size: 16px;
    letter-spacing: 0;
    line-height: 22px;
    text-align: right;
    cursor: pointer;
  }
  a.btn-link:hover {
      text-decoration: underline;
      cursor: pointer;
  }
  .card-header {
    padding: 0 !important;
    background-color: white;
    border-bottom: 2px solid #cccccc;
  }
  .card {
    border: none;
  }
  
  // ===========================================================================================//
  
.pps-header {
    color: #333333;
    font-family: Prompt;
    font-size: 28px;
    font-weight: 600;
    letter-spacing: 0;
    line-height: 52px;
  }
  .pps-header_th {
    color: #999999;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
  }
  
  .saveDraft{
      box-sizing: border-box;
      height: 48px;
      width: 228px;
      border: 1.5px solid #00A4E4;
      border-radius: 4px;
      color: #00A6E6;
      background-color: #ffffff00;
      font-family: Prompt;
      font-size: 18px;
      letter-spacing: 0;
      line-height: 28px;
      text-align: center
    }
    .sandwork {
        margin-left: 15px;
        box-sizing: border-box;
        height: 48px;
        width: 180px;
        border: none;
        border-radius: 4px;
        color: #ffffff;
        background-color: #00a4e4;
        font-family: Prompt;
        font-size: 18px;
        letter-spacing: 0;
        line-height: 28px;
        text-align: center;
      }
    .alert-success{
      box-sizing: border-box;
      height: 49px;
      // border: 1px solid rgba(90,167,0,0.7);
      border: 1px solid rgba(0,110,149,0.7);
      border-radius: 4px;
      // background-color: rgba(90,167,0,0.1);
      background-color: rgba(0,110,149,0.1);
      box-shadow: 0 2px 8px 0 rgba(224,224,224,0.5);
      text-align: center;
      padding-top: 10px;
      a.alert-detail{
        // color: #5AA700;
        color: #006E95;
        font-family: Prompt;
        font-size: 18px;
        font-weight: 500;
        letter-spacing: 0;
        line-height: 28px;
      }
    }
  
    .icon_checkmark{
      height: 24px;
      width: 24px;
    }
  
    
   
  
    
    // ::ng-deep th.mat-header-cell:first-of-type {
    //   padding-left: 0 !important;
    // }
    ::ng-deep td.mat-cel {
      padding-left: 0 !important;
    }
    //   ::ng-deep td.mat-cell:last-of-type {
    //     padding-right: 0 !important;
    //   }
    ::ng-deep .mat-sort-header-container {
      justify-content: center !important;
    }
    ::ng-deep th.mat-header-cell {
      height: 30px !important;
    }
  
    .input-reason {
      box-sizing: border-box;
      height: 40px;
      width: 100%;
      border: 1px solid #BDBDBD;
      border-radius: 4px;
      background-color: #FFFFFF;
      font-family: Prompt;
      font-size: 14px;
      padding-left: 12px;
  
    }
  
    .input-warpper {
      position: relative;
    }
  
    // .icon-warpper1 {
    //   display: block;
    //   position: absolute;
    //   left: 85%;
    //   line-height: 40px;
    // }
    .icon-warpper1 {
      display: block;
      position: absolute;
      right: 3%;
      line-height: 32px;
    }
  
    .icon-warpper2 {
      display: block;
      position: absolute;
      left: 75%;
      line-height: 40px;
    }
  
    .btn-date {
      border: none;
      background-color: none;
      color: rgb(121, 121, 121);
    }
    .btn-delete {
      cursor: pointer;
      color: rgb(121, 121, 121) !important;
    }
    
    .btn-date {
      cursor: pointer;
      color: #666666;
    }
    .btn-delete:hover {
      cursor: pointer;
      color: rgb(20, 20, 20) !important;
    }
    .input-search-c {
      text-align: left;
      font-family: Prompt !important;
      border-radius: 4px;
      border: solid 1px #e0e0e0;
      background-color: #ffffff;
      width: 100%;
      height: 48px;
      // padding-left: 10px;
    }
  
    .input-detail {
      box-sizing: border-box;
      height: 180px;
      width: 100%;
      border: 1px solid #BDBDBD;
      border-radius: 4px;
    //   background-color: #FFFFFF;
      font-family: Prompt;
      font-size: 18px;
      padding-left: 12px;
  
    }
  
  
    .head-detal {
      color: #333333;
      font-family: Prompt;
      font-size: 18px;
      letter-spacing: 0;
      line-height: 32px;
      margin-top: 20px;
      margin-bottom: 10px;
      // padding-left: 10px;
    }
  
  
    .textarea-container .input_upload{
      position: absolute;
      bottom: 10px;
      left: 16px;
      right: 0;
      font-family: Prompt;
      box-sizing: border-box;
      height: 48px;
      width: 526px;
      text-align: center;
    }
    
    .input_upload_label {
      box-sizing: border-box;
      height: 48px;
      width: 526px;
      padding-top: 10px;
      border: 1.5px solid #00A4E4;
      border-radius: 4px;
      color: #00A6E6;
      font-family: Prompt;
      font-size: 18px;
      letter-spacing: 0;
      line-height: 28px;
      text-align: center;
      cursor: pointer;
    }
  
    .input_upload_document{
      box-sizing: border-box;
      height: 80px;
      width: 100%;
      padding-top: 25px;
      border: 1.5px dashed #00A4E4;
      border-radius: 4px;
      color: #00A6E6;
      font-family: Prompt;
      font-size: 20px;
      letter-spacing: 0;
      line-height: 28px;
      text-align: center;
      cursor: pointer;
    }
  
    .fileDrop_document{
      position: absolute;
      opacity: 0;
      height: 80px;
      background-color: #5AA700;
      cursor: pointer;
    }
  
    .document_file_detail {
      margin-top: 5px;
      margin-bottom: 5px;
    }
  
    .button-next{
      height: 56px;
      width: 100%;
      color: #FFFFFF;
      background-color: #00A4E4;
      font-family: Prompt;
    }
  
    .dropzone {
      width: 100%;
      height: 85px;
      padding: 2rem;
      text-align: center;
      border: dashed 2px #00a4e4;
      position: relative;
      margin: auto;
      border-radius: 1%;
    
      input {
        cursor: pointer;
        opacity: 0;
        position: absolute;
        z-index: 2;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
      }
      input:hover {
        cursor: pointer;
        opacity: 0;
        position: absolute;
        z-index: 2;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
      }
      i {
        font-size: 50px;
        color: #00a6e6;
      }
      .drag-text {
        width: 180px;
        height: 44px;
        border-radius: 21px;
        padding: 8px 16px;
      }
      a {
        font-family: Prompt;
        font-size: 18px;
        color: #00a6e6;
      }
    }
    .dropzone:hover {
      width: 100%;
      height: 85px;
      padding: 2rem;
      text-align: center;
      border: dashed 2px #00a4e4;
      position: relative;
      margin: auto;
      border-radius: 1%;
      background-color: rgba(226, 226, 226, 0.288);
    }
    
    a.delete_file {
      color: #999999;
    }
    a.delete_file:hover {
      color: #999999;
      text-decoration: underline;
      cursor: pointer;
    }
    a.download_file {
      color:  #00a6e6;
    }
    a.download_file:hover {
      color: #00a6e6;
      text-decoration: underline;
      cursor: pointer;
    }
    a.pipe {
      color:  #CCCCCC;
    }
    .table {
      justify-content: center;
    }
    .table-responsives {
      height: auto;
      overflow-x: auto;
      width: 100%;
      margin-top: 20px;
      font-family: Prompt !important;
      td {
        // padding: 5px;
        height: auto;
        font-family: Prompt !important;
        border: none;
        text-align: center;
        align-items: center;
        justify-content: center !important;
        border-bottom: 1px solid #c9c9c8;
        vertical-align: middle !important;
      }
      .class-name {
        margin-left: 10px;
        width: 750px;
        height: auto;
        overflow-wrap: break-word;
        word-wrap: break-word;
        hyphens: auto;
        text-align: center;
        // align-items: center;
        justify-content: center !important;
      }
    }
    
    th {
      //   width: 500px;
      font-family: Prompt !important;
      align-items: flex-start;
      justify-content: flex-start !important;
      // text-align: center !important;
      opacity: 0.99;
      border-radius: 2px;
      background-color: #f1f0f0;
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #a0a6ac;
      //   border: 1px solid #dddddd;
    }
    
    table {
      margin: auto;
      width: 100% !important;
      // height: 500px;
      overflow-x: auto;
      // border: 1px solid #dddddd;
      padding: 0;
      .form-control {
        text-align: left !important;
      }
      tr:nth-child(even) {
        background-color: #7c7c7c0c;
      }
    }
  
    .table th, .table td {
      padding: 0.75rem;
      vertical-align: middle;
      border-top: 1px solid #c8ced3;
  }
      
  .delete-data {
      color: #00A6E6;
      font-size: 16px;
      letter-spacing: 0;
      line-height: 24px;
      text-align: center;
      cursor: pointer;
  }
  
  .checkbox {
    // height: 16px;
    // width: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  table th {
    text-align: center !important;
    width: auto !important;
    padding-left: 0;
    padding-right: 0;
  }